
Foreman - Feature #31213

Add Hostgroup API views Facet extenstion points

10/29/2020 06:41 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Plugin integration   

Target version: 2.4.0   

Difficulty: trivial Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8115

  

Description

Facets can extend API responses for Host, but not Hostgroup.

Related issues:

Related to Foreman - Refactor #31094: Extract ConfigGroup API Closed

Related to Foreman - Feature #31372: Improve Facets registration Closed

Associated revisions

Revision 477d457c - 01/06/2021 11:02 AM - Ondřej Ezr

Fixes #31213 - hostgroup API facets extension point (#8115)

Fixes #31213 - hostgroup API facets extension point

Adds Facet extension points for Hostgroup API responses.

Refactor refresh for facets, to ensure all run just once.

Now the already registered entries are being run once the facet entry point is configured.

The hook is registered also on the entry point registration.

It should give us more clear API of the new facet entry poin registration.

Refs #31213 - model specific definition iterrable

fixes an issue with an Model having access to general facet definitions (entries)

rather than it's own (model based entries) definitions.

Refs #31213 - Add tests for API response with facets

History

#1 - 10/29/2020 06:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8115 added

#2 - 10/29/2020 07:25 PM - Ondřej Ezr

- Related to Refactor #31094: Extract ConfigGroup API added

#3 - 11/23/2020 11:35 AM - Ondřej Ezr

- Target version changed from 2.3.0 to 2.4.0

#4 - 11/23/2020 12:18 PM - Ondřej Ezr

- Related to Feature #31372: Improve Facets registration added

#5 - 01/06/2021 11:02 AM - The Foreman Bot

- Fixed in Releases 2.4.0 added
#6 - 01/06/2021 12:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|477d457ca596fa5f8c163f2cdbfdf7beacd480a1.

Powered by TCPDF (www.tcpdf.org)

05/19/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/477d457ca596fa5f8c163f2cdbfdf7beacd480a1
http://www.tcpdf.org

